<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): tiglMutationMessage.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e1c3629206a62d7880de84e139cd6012.html">src</a></li><li class="navelem"><a class="el" href="dir_5923310312939235796ca11289acda83.html">common</a></li><li class="navelem"><a class="el" href="dir_cefb8d6b2db0343bb075f98034598653.html">mutation</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tiglMutationMessage.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="tiglMutationMessage_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef TIGLMUTATIONMESSAGE_HPP_</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define TIGLMUTATIONMESSAGE_HPP_</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">/* Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * modification, are permitted provided that the following conditions</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * are met:</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *    Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *    Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *    documentation and/or other materials provided with the</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *    distribution.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *    Neither the name of Texas Instruments Incorporated nor the names of</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *    its contributors may be used to endorse or promote products derived</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *    from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"> * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment"> * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"> * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"> * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment"> * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment"> * INCLUDES</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include  &quot;<a class="code" href="tiglCommunication_8hpp.html">tiglCommunication.hpp</a>&quot;</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="comment"> * MUTATION_MESSAGE_CODE enumeration</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;{</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;   ADD_VERTEX, ADD_EMPTY_VERTEX, REMOVE_VERTEX, ADD_OUT_EDGE, ADD_IN_EDGE, REMOVE_OUT_EDGE, REMOVE_IN_EDGE, UNDEFINED_MUTATION_MESSAGE</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;} MUTATION_MESSAGE_CODE;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="comment"> * TIGLMutationMessage class</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classTIGLMutationMessage.html">   70</a></span>&#160;<span class="keyword">class </span><a class="code" href="classTIGLMutationMessage.html">TIGLMutationMessage</a></div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;{</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="comment">    * type definitions</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;   <span class="keyword">typedef</span> vector&lt;uint8_t&gt;::iterator BYTE_ITERATOR;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="comment">    * constructor/destructor</span></div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;   <a class="code" href="classTIGLMutationMessage.html">TIGLMutationMessage</a>()</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;   {</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;      <a class="code" href="classTIGLMutationMessage.html#abdba38d3553d9c36b310093f96aaf4b8">messageCode</a> = UNDEFINED_MUTATION_MESSAGE;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;      <a class="code" href="classTIGLMutationMessage.html#a4849bc62b4860dcab8fdddbc076a4241">otherDevice</a> = UNKNOWN_DEV;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;      <a class="code" href="classTIGLMutationMessage.html#a4a8f8c15be0b5ba3e8d697091ed3c584">messageBody</a>.clear();</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;   }</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;   <a class="code" href="classTIGLMutationMessage.html">TIGLMutationMessage</a>(int_fast32_t dev)</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;   {</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;      <a class="code" href="classTIGLMutationMessage.html#a4849bc62b4860dcab8fdddbc076a4241">otherDevice</a> = dev;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;      <a class="code" href="classTIGLMutationMessage.html#abdba38d3553d9c36b310093f96aaf4b8">messageCode</a> = UNDEFINED_MUTATION_MESSAGE;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;      <a class="code" href="classTIGLMutationMessage.html#a4a8f8c15be0b5ba3e8d697091ed3c584">messageBody</a>.clear();</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;   }</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;   ~<a class="code" href="classTIGLMutationMessage.html">TIGLMutationMessage</a>()</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;   {</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;   }</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="comment">    * attributes</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="classTIGLMutationMessage.html#abdba38d3553d9c36b310093f96aaf4b8">  112</a></span>&#160;   MUTATION_MESSAGE_CODE <a class="code" href="classTIGLMutationMessage.html#abdba38d3553d9c36b310093f96aaf4b8">messageCode</a>;</div>
<div class="line"><a name="l00114"></a><span class="lineno"><a class="line" href="classTIGLMutationMessage.html#a4a8f8c15be0b5ba3e8d697091ed3c584">  114</a></span>&#160;   vector&lt;uint8_t&gt; <a class="code" href="classTIGLMutationMessage.html#a4a8f8c15be0b5ba3e8d697091ed3c584">messageBody</a>;</div>
<div class="line"><a name="l00116"></a><span class="lineno"><a class="line" href="classTIGLMutationMessage.html#a4849bc62b4860dcab8fdddbc076a4241">  116</a></span>&#160;   uint_fast32_t <a class="code" href="classTIGLMutationMessage.html#a4849bc62b4860dcab8fdddbc076a4241">otherDevice</a>;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="comment">    * methods</span></div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;   uint_fast32_t <a class="code" href="classTIGLMutationMessage.html#a7a78a4b0b8bf099b5a38afe2f5886746">prepareAddEdgeMessage</a>(EdgeType *pEdge, ID_TYPE *targetVertex);</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;   <span class="keywordtype">bool</span> <a class="code" href="classTIGLMutationMessage.html#a2f04a7b6741580d694fb492ddad9e552">readAddEdgeMessage</a>(EdgeType *pEdge, ID_TYPE *targetVertex);</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> EDGE_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;   uint_fast32_t <a class="code" href="classTIGLMutationMessage.html#aa9d443dae0e56c7f05a1932937aa0295">prepareRemoveEdgeMessage</a>(<a class="code" href="classTIGLContainersEdgeBase.html">EDGE_TYPE</a> *edge, ID_TYPE *targetVertex);</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;   uint_fast32_t <a class="code" href="classTIGLMutationMessage.html#aa9d443dae0e56c7f05a1932937aa0295">prepareRemoveEdgeMessage</a>(ID_TYPE *nbrVertex, ID_TYPE *targetVertex);</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> ID_TYPE&gt; <span class="keywordtype">bool</span> <a class="code" href="classTIGLMutationMessage.html#a4b5d767c6ed05892eed00407a290e599">readRemoveEdgeMessage</a>(ID_TYPE *nbrVertex, ID_TYPE *targetVertex);</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> ID_TYPE&gt; uint_fast32_t <a class="code" href="classTIGLMutationMessage.html#ac3e3ba4f54b0d67c6e5bc7a979c2e329">prepareEmptyVertexMessage</a>(ID_TYPE *vertexId);</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> ID_TYPE&gt; <span class="keywordtype">bool</span> <a class="code" href="classTIGLMutationMessage.html#af3b1ee90ab9cad65a113cdd51cfd9522">readEmptyVertexMessage</a>(ID_TYPE *vertexId);</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> CVertex&gt; uint_fast32_t <a class="code" href="classTIGLMutationMessage.html#ae9189e2cb953e7028b7523db1be12335">prepareAddVertexMessage</a>(<a class="code" href="classTIGLContainersVertexBase.html">CVertex</a> *vertex);</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> CVertex&gt; <span class="keywordtype">bool</span> <a class="code" href="classTIGLMutationMessage.html#a9985aad84627e17146f6413e8d117766">readAddVertexMessage</a>(<a class="code" href="classTIGLContainersVertexBase.html">CVertex</a> *pVertex);</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;   <span class="keyword">inline</span> MUTATION_MESSAGE_CODE <a class="code" href="classTIGLMutationMessage.html#accca8b14abee53083d4b770e4f953922">getMessageCode</a>();</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;   <span class="keyword">inline</span> uint_fast32_t <a class="code" href="classTIGLMutationMessage.html#a3d17a5a5e1dfe646b1dc7e8761a351b7">getSizeInBytes</a>();</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;   <span class="keyword">inline</span> int_fast32_t <a class="code" href="classTIGLMutationMessage.html#a3f973031daac84719897d93512d351ab">getDstDev</a>();</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> ID_TYPE&gt; <span class="keywordtype">bool</span> <a class="code" href="classTIGLMutationMessage.html#a6fb578a6baf57eeddee242c28c334536">getDstVertex</a>(ID_TYPE *targetVertex);</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;   <span class="keyword">inline</span> uint_fast32_t <a class="code" href="classTIGLMutationMessage.html#a1d1bbd783f0209096d743278a88555cf">pack</a>(uint8_t *buf);</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;   <span class="keyword">inline</span> uint_fast32_t <a class="code" href="classTIGLMutationMessage.html#a9f939c9fab8f95de9e5a7ce5e4e21764">unpack</a>(uint8_t *buf);</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> CVertex&gt; <span class="keywordtype">bool</span> <a class="code" href="classTIGLMutationMessage.html#afaadae81d282d01fa6890bb5ec7c51ad">readVertexMessage</a>(<a class="code" href="classTIGLContainersVertexBase.html">CVertex</a> *vertex);</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> ID_TYPE&gt; <span class="keywordtype">bool</span> <a class="code" href="classTIGLMutationMessage.html#a7dcf60d501682468cf9eaf3ff3991713">readSimpleVertexMessage</a>(ID_TYPE *<span class="keywordtype">id</span>);</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> EDGE_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;   <span class="keywordtype">bool</span> <a class="code" href="classTIGLMutationMessage.html#aa74f399c9cebff04a96b3404a51c5e1b">readEdgeMessage</a>(<a class="code" href="classTIGLContainersEdgeBase.html">EDGE_TYPE</a> *edge, ID_TYPE *targetVertex);</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;   <span class="keywordtype">bool</span> <a class="code" href="classTIGLMutationMessage.html#a7f613f63ba43876ccfb71c8345062cfc">readSimpleEdgeMessage</a>(ID_TYPE *nbrVertex, ID_TYPE *targetVertex);</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;   <span class="keywordtype">bool</span> <a class="code" href="classTIGLMutationMessage.html#ab9271622ced744b984d48b1d7279aa9c">writeEdgeMessage</a>(MUTATION_MESSAGE_CODE code, EdgeType *edge, ID_TYPE *targetVertex);</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;   <span class="keywordtype">bool</span> <a class="code" href="classTIGLMutationMessage.html#a183239c71e1e921ce501e10376baa0d5">writeSimpleEdgeMessage</a>(MUTATION_MESSAGE_CODE code, ID_TYPE *nbrVertex, ID_TYPE *targetVertex);</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> CVertex&gt;</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;   <span class="keywordtype">bool</span> <a class="code" href="classTIGLMutationMessage.html#af860e1dbf7c39e451d6eaf39d2c34713">writeVertexMessage</a>(MUTATION_MESSAGE_CODE code, <a class="code" href="classTIGLContainersVertexBase.html">CVertex</a> *vertex);</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;   <span class="keywordtype">bool</span> <a class="code" href="classTIGLMutationMessage.html#a59efe7d8e43b57679710b703462e809d">writeSimpleVertexMessage</a>(MUTATION_MESSAGE_CODE code, ID_TYPE *<span class="keywordtype">id</span>);</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;};</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglMutationMessageImplementation_8hpp.html">tiglMutationMessageImplementation.hpp</a>&quot;</span></div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* TIGLMUTATIONMESSAGE_HPP_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="classTIGLMutationMessage_html_af3b1ee90ab9cad65a113cdd51cfd9522"><div class="ttname"><a href="classTIGLMutationMessage.html#af3b1ee90ab9cad65a113cdd51cfd9522">TIGLMutationMessage::readEmptyVertexMessage</a></div><div class="ttdeci">bool readEmptyVertexMessage(ID_TYPE *vertexId)</div><div class="ttdoc">Reads the ADD_EMPTY_VERTEX or REMOVE_VERTEX mutation message. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:183</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a7f613f63ba43876ccfb71c8345062cfc"><div class="ttname"><a href="classTIGLMutationMessage.html#a7f613f63ba43876ccfb71c8345062cfc">TIGLMutationMessage::readSimpleEdgeMessage</a></div><div class="ttdeci">bool readSimpleEdgeMessage(ID_TYPE *nbrVertex, ID_TYPE *targetVertex)</div><div class="ttdoc">Procedure for reading remove edge messages. It has two outupts. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:531</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_af860e1dbf7c39e451d6eaf39d2c34713"><div class="ttname"><a href="classTIGLMutationMessage.html#af860e1dbf7c39e451d6eaf39d2c34713">TIGLMutationMessage::writeVertexMessage</a></div><div class="ttdeci">bool writeVertexMessage(MUTATION_MESSAGE_CODE code, CVertex *vertex)</div><div class="ttdoc">Procedure for writing ADD/MIGRATE vertex messages. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:591</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_abdba38d3553d9c36b310093f96aaf4b8"><div class="ttname"><a href="classTIGLMutationMessage.html#abdba38d3553d9c36b310093f96aaf4b8">TIGLMutationMessage::messageCode</a></div><div class="ttdeci">MUTATION_MESSAGE_CODE messageCode</div><div class="ttdoc">code of the mutation message </div><div class="ttdef"><b>Definition:</b> tiglMutationMessage.hpp:112</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a6fb578a6baf57eeddee242c28c334536"><div class="ttname"><a href="classTIGLMutationMessage.html#a6fb578a6baf57eeddee242c28c334536">TIGLMutationMessage::getDstVertex</a></div><div class="ttdeci">bool getDstVertex(ID_TYPE *targetVertex)</div><div class="ttdoc">returns destination vertex </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:404</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a7a78a4b0b8bf099b5a38afe2f5886746"><div class="ttname"><a href="classTIGLMutationMessage.html#a7a78a4b0b8bf099b5a38afe2f5886746">TIGLMutationMessage::prepareAddEdgeMessage</a></div><div class="ttdeci">uint_fast32_t prepareAddEdgeMessage(EdgeType *pEdge, ID_TYPE *targetVertex)</div><div class="ttdoc">Prepares the ADD_OUT/IN_EDGE mutation message. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:61</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_ac3e3ba4f54b0d67c6e5bc7a979c2e329"><div class="ttname"><a href="classTIGLMutationMessage.html#ac3e3ba4f54b0d67c6e5bc7a979c2e329">TIGLMutationMessage::prepareEmptyVertexMessage</a></div><div class="ttdeci">uint_fast32_t prepareEmptyVertexMessage(ID_TYPE *vertexId)</div><div class="ttdoc">Prepares the ADD_EMPTY_VERTEX or REMOVE_VERTEX mutation message. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:165</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_ae9189e2cb953e7028b7523db1be12335"><div class="ttname"><a href="classTIGLMutationMessage.html#ae9189e2cb953e7028b7523db1be12335">TIGLMutationMessage::prepareAddVertexMessage</a></div><div class="ttdeci">uint_fast32_t prepareAddVertexMessage(CVertex *vertex)</div><div class="ttdoc">Prepares the ADD_VERTEX message. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:202</div></div>
<div class="ttc" id="classTIGLContainersEdgeBase_html"><div class="ttname"><a href="classTIGLContainersEdgeBase.html">TIGLContainersEdgeBase</a></div><div class="ttdoc">Core edge class. </div><div class="ttdef"><b>Definition:</b> tiglContainersEdgeBase.hpp:66</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_aa74f399c9cebff04a96b3404a51c5e1b"><div class="ttname"><a href="classTIGLMutationMessage.html#aa74f399c9cebff04a96b3404a51c5e1b">TIGLMutationMessage::readEdgeMessage</a></div><div class="ttdeci">bool readEdgeMessage(EDGE_TYPE *edge, ID_TYPE *targetVertex)</div><div class="ttdoc">Procedure for reading add edge messages. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:512</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_accca8b14abee53083d4b770e4f953922"><div class="ttname"><a href="classTIGLMutationMessage.html#accca8b14abee53083d4b770e4f953922">TIGLMutationMessage::getMessageCode</a></div><div class="ttdeci">MUTATION_MESSAGE_CODE getMessageCode()</div><div class="ttdoc">returns the mutation message code </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:370</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a2f04a7b6741580d694fb492ddad9e552"><div class="ttname"><a href="classTIGLMutationMessage.html#a2f04a7b6741580d694fb492ddad9e552">TIGLMutationMessage::readAddEdgeMessage</a></div><div class="ttdeci">bool readAddEdgeMessage(EdgeType *pEdge, ID_TYPE *targetVertex)</div><div class="ttdoc">Reads the ADD/REMOVE_EDGE mutation message. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:81</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a1d1bbd783f0209096d743278a88555cf"><div class="ttname"><a href="classTIGLMutationMessage.html#a1d1bbd783f0209096d743278a88555cf">TIGLMutationMessage::pack</a></div><div class="ttdeci">uint_fast32_t pack(uint8_t *buf)</div><div class="ttdoc">Packs the mutation message into bytes the packed message contains the message code and the message bo...</div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:427</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a3f973031daac84719897d93512d351ab"><div class="ttname"><a href="classTIGLMutationMessage.html#a3f973031daac84719897d93512d351ab">TIGLMutationMessage::getDstDev</a></div><div class="ttdeci">int_fast32_t getDstDev()</div><div class="ttdoc">reading teh destination device </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:392</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a7dcf60d501682468cf9eaf3ff3991713"><div class="ttname"><a href="classTIGLMutationMessage.html#a7dcf60d501682468cf9eaf3ff3991713">TIGLMutationMessage::readSimpleVertexMessage</a></div><div class="ttdeci">bool readSimpleVertexMessage(ID_TYPE *id)</div><div class="ttdoc">Procedure for reading add/migrate vertex messages. It. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:495</div></div>
<div class="ttc" id="tiglCommunication_8hpp_html"><div class="ttname"><a href="tiglCommunication_8hpp.html">tiglCommunication.hpp</a></div></div>
<div class="ttc" id="classTIGLMutationMessage_html_ab9271622ced744b984d48b1d7279aa9c"><div class="ttname"><a href="classTIGLMutationMessage.html#ab9271622ced744b984d48b1d7279aa9c">TIGLMutationMessage::writeEdgeMessage</a></div><div class="ttdeci">bool writeEdgeMessage(MUTATION_MESSAGE_CODE code, EdgeType *edge, ID_TYPE *targetVertex)</div><div class="ttdoc">Procedure for writing ADD edge messages. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:548</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a59efe7d8e43b57679710b703462e809d"><div class="ttname"><a href="classTIGLMutationMessage.html#a59efe7d8e43b57679710b703462e809d">TIGLMutationMessage::writeSimpleVertexMessage</a></div><div class="ttdeci">bool writeSimpleVertexMessage(MUTATION_MESSAGE_CODE code, ID_TYPE *id)</div><div class="ttdoc">Procedure for writing add empty/remove vertex messages. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:617</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a183239c71e1e921ce501e10376baa0d5"><div class="ttname"><a href="classTIGLMutationMessage.html#a183239c71e1e921ce501e10376baa0d5">TIGLMutationMessage::writeSimpleEdgeMessage</a></div><div class="ttdeci">bool writeSimpleEdgeMessage(MUTATION_MESSAGE_CODE code, ID_TYPE *nbrVertex, ID_TYPE *targetVertex)</div><div class="ttdoc">Procedure for writing REMOVE edge messages. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:570</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a4849bc62b4860dcab8fdddbc076a4241"><div class="ttname"><a href="classTIGLMutationMessage.html#a4849bc62b4860dcab8fdddbc076a4241">TIGLMutationMessage::otherDevice</a></div><div class="ttdeci">uint_fast32_t otherDevice</div><div class="ttdoc">the destination device </div><div class="ttdef"><b>Definition:</b> tiglMutationMessage.hpp:116</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a9f939c9fab8f95de9e5a7ce5e4e21764"><div class="ttname"><a href="classTIGLMutationMessage.html#a9f939c9fab8f95de9e5a7ce5e4e21764">TIGLMutationMessage::unpack</a></div><div class="ttdeci">uint_fast32_t unpack(uint8_t *buf)</div><div class="ttdoc">Unpacks a mutation message to the object fields. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:450</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a9985aad84627e17146f6413e8d117766"><div class="ttname"><a href="classTIGLMutationMessage.html#a9985aad84627e17146f6413e8d117766">TIGLMutationMessage::readAddVertexMessage</a></div><div class="ttdeci">bool readAddVertexMessage(CVertex *pVertex)</div><div class="ttdoc">Reads the ADD_VERTEX. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:264</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a4b5d767c6ed05892eed00407a290e599"><div class="ttname"><a href="classTIGLMutationMessage.html#a4b5d767c6ed05892eed00407a290e599">TIGLMutationMessage::readRemoveEdgeMessage</a></div><div class="ttdeci">bool readRemoveEdgeMessage(ID_TYPE *nbrVertex, ID_TYPE *targetVertex)</div><div class="ttdoc">Reads the ADD/REMOVE_EDGE mutation message. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:144</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_aa9d443dae0e56c7f05a1932937aa0295"><div class="ttname"><a href="classTIGLMutationMessage.html#aa9d443dae0e56c7f05a1932937aa0295">TIGLMutationMessage::prepareRemoveEdgeMessage</a></div><div class="ttdeci">uint_fast32_t prepareRemoveEdgeMessage(EDGE_TYPE *edge, ID_TYPE *targetVertex)</div><div class="ttdoc">Prepares the REMOVE_OUT/IN_EDGE mutation message. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:103</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a4a8f8c15be0b5ba3e8d697091ed3c584"><div class="ttname"><a href="classTIGLMutationMessage.html#a4a8f8c15be0b5ba3e8d697091ed3c584">TIGLMutationMessage::messageBody</a></div><div class="ttdeci">vector&lt; uint8_t &gt; messageBody</div><div class="ttdoc">message body in bytes </div><div class="ttdef"><b>Definition:</b> tiglMutationMessage.hpp:114</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_afaadae81d282d01fa6890bb5ec7c51ad"><div class="ttname"><a href="classTIGLMutationMessage.html#afaadae81d282d01fa6890bb5ec7c51ad">TIGLMutationMessage::readVertexMessage</a></div><div class="ttdeci">bool readVertexMessage(CVertex *vertex)</div><div class="ttdoc">Procedure for reading add/migrate vertex messages. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:472</div></div>
<div class="ttc" id="tiglMutationMessageImplementation_8hpp_html"><div class="ttname"><a href="tiglMutationMessageImplementation_8hpp.html">tiglMutationMessageImplementation.hpp</a></div></div>
<div class="ttc" id="classTIGLMutationMessage_html"><div class="ttname"><a href="classTIGLMutationMessage.html">TIGLMutationMessage</a></div><div class="ttdoc">Core mutation Massage container class. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessage.hpp:70</div></div>
<div class="ttc" id="classTIGLContainersVertexBase_html"><div class="ttname"><a href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase</a></div><div class="ttdoc">Core vertex class. </div><div class="ttdef"><b>Definition:</b> tiglContainersVertexBase.hpp:89</div></div>
<div class="ttc" id="classTIGLMutationMessage_html_a3d17a5a5e1dfe646b1dc7e8761a351b7"><div class="ttname"><a href="classTIGLMutationMessage.html#a3d17a5a5e1dfe646b1dc7e8761a351b7">TIGLMutationMessage::getSizeInBytes</a></div><div class="ttdeci">uint_fast32_t getSizeInBytes()</div><div class="ttdoc">reading the overall message body </div><div class="ttdef"><b>Definition:</b> tiglMutationMessageImplementation.hpp:381</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:52 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
